clc;
clear;
clf;


%**************************************************************************
%
% FLATPPG  о 
%  - V1(Red) DC/AC, IR1 DC/AC,  IR2 DC/AC, IR3 DC/AC, Off, Temperature        
%    (Red, IRI/2/3    ϸ   , IR1=905,IR2=810, IR3=940)
%  - Off V1, IR1, IR2, IR3  õǸ  LED   ȣ     
%  - DC ADC ͸ 10Hz LPF ̸   -32767~32768 (16bit ADC) 
%  - AC  ¿ HPF ģ  Ͽ.   
%
%**************************************************************************

% ҷ ϸ 
filename='Sample.txt';

%**************************************************************************
%
%  ҷ鿩 ׸ ׸ 
%
%**************************************************************************

%
% 500 SPS   
%
data=load(filename,'-ascii');

%    
V1_DC=data(:,1);
V1_AC=data(:,2);
IR1_DC=data(:,3);
IR1_AC=data(:,4);
IR2_DC=data(:,5); 
IR2_AC=data(:,6);
IR3_DC=data(:,7); 
IR3_AC=data(:,8); 
Off=data(:,9); 
Temperature=data(:,10); 

% ð , 500 Sample Rate 
pos=1:(max(size(V1_DC)));
pos=pos/500; 


 %*****************************************************
 %  ׸ ׸.  
 %*****************************************************
 figure(1);
 
 % DC ׸. 
 subplot(6,1, 1:3);
 plot(pos, V1_DC,'r', pos, IR1_DC,'g',pos, IR2_DC,'b', pos, IR3_DC,'k', pos, Off,'k:'); 
  title('DC Drawing. V1(red), IR1(green), IR2(blue), IR3(black), Off(black dot)');
 
 % AC ׸.  
 subplot(6, 1, [4 5]);
 plot(pos, V1_AC,'r', pos, IR1_AC,'g',pos, IR2_AC,'b', pos, IR3_AC,'k'); 
  title('AC Drawing. V1(red), IR1(green), IR2(blue), IR3(black)');
 
 % µ ׸.   
 subplot(6, 1, 6);
 plot(pos, Temperature,'b'); 
 ylim([10 50]);
 title('Temperature');
 